Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xcodegen.generator
Interface CodeGenerator

All Known Implementing Classes:
  AbstractCodeGenerator

public interface CodeGenerator

Interface of the Code generators

Version:
  $Revision: 1.3 $
Author:
  Herve Tchepannou

Field Summary
`static java.lang.String` | `CONFIG_CLASS_OUTPUT_DIR` Output directory
`static java.lang.String` | `CONFIG_CLASS_PREFIX` Prefix of the classname to generate
`static java.lang.String` | `CONFIG_CLASS_SUFFIX` Suffix of the classname to generate
`static java.lang.String` | `CONFIG_DATABASE` Target database
`static java.lang.String` | `CONFIG_DATABASE_OUTPUT_DIR` Database output directory
`static java.lang.String` | `CONFIG_DATABASE_OUTPUT_FILE` Database output file
`static java.lang.String` | `CONFIG_DATABASE_STRING_SIZE` Default String size
`static java.lang.String` | `CONFIG_LANGUAGE` Target language
`static java.lang.String` | `CONFIG_PACKAGE_SUFFIX` Package suffix
`static java.lang.String` | `VERSION` Version

Method Summary
`void` | `generate(XPackage[] packages)` Generate to code of a set of packages
`java.lang.String` | `getConfigProperty(java.lang.String name, java.lang.String defaultValue)` Return a configuration property of the code generator
`void` | `init(java.util.Properties config)` Initialize the code generator

Field Detail

### VERSION

    public static final java.lang.String VERSION

  Version

  See Also:
    Constant Field Values

### CONFIG_LANGUAGE

    public static final java.lang.String CONFIG_LANGUAGE

  Target language

  See Also:
    Constant Field Values

### CONFIG_DATABASE

    public static final java.lang.String CONFIG_DATABASE

  Target database

  See Also:
    Constant Field Values

### CONFIG_DATABASE_STRING_SIZE

    public static final java.lang.String CONFIG_DATABASE_STRING_SIZE

  Default String size

  See Also:
    Constant Field Values

### CONFIG_DATABASE_OUTPUT_DIR

    public static final java.lang.String CONFIG_DATABASE_OUTPUT_DIR

  Database output directory

  See Also:
    Constant Field Values

### CONFIG_DATABASE_OUTPUT_FILE

    public static final java.lang.String CONFIG_DATABASE_OUTPUT_FILE

  Database output file

  See Also:
    Constant Field Values

### CONFIG_CLASS_PREFIX

    public static final java.lang.String CONFIG_CLASS_PREFIX

  Prefix of the classname to generate

  See Also:
    Constant Field Values

### CONFIG_CLASS_SUFFIX

    public static final java.lang.String CONFIG_CLASS_SUFFIX

  Suffix of the classname to generate

  See Also:
    Constant Field Values

### CONFIG_CLASS_OUTPUT_DIR

    public static final java.lang.String CONFIG_CLASS_OUTPUT_DIR

  Output directory

  See Also:
    Constant Field Values

### CONFIG_PACKAGE_SUFFIX

    public static final java.lang.String CONFIG_PACKAGE_SUFFIX

  Package suffix

  See Also:
    Constant Field Values

Method Detail

### init

    public void init(java.util.Properties config)
              throws XCodeGenException

  Initialize the code generator

  Parameters:
    `config` - Configuration of the code generator
  Throws:
    `XCodeGenException` - if any error occurs during the initialization

### generate

    public void generate(XPackage[] packages)
                  throws XCodeGenException,
                         java.io.IOException

  Generate to code of a set of packages

  Throws:
    `XCodeGeneration` - if any error during the code generation
    `java.io.IOException` - if any IO error
    `XCodeGenException`

### getConfigProperty

    public java.lang.String getConfigProperty(java.lang.String name,
                                              java.lang.String defaultValue)

  Return a configuration property of the code generator

  Parameters:
    `name` - Name of the property requested
    `defaultValue` - default value
  Returns:
    Value of the property

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD